For the complete documentation index, see llms.txt. This page is also available as Markdown.

Authentication

See how you can authenticate with TransactionLink.

All API requests must be made over HTTPS. Any requests made over HTTP will fail.

POST Authorize token

Deprecated

Authorize workspace (deprecated)

post

Deprecated — This endpoint issues a JWT Bearer token (accessToken) for workspace authentication. JWT-based authentication is deprecated in favor of organization tokens (tot_). Use organization tokens obtained from the dashboard instead of this endpoint.

Body
keystringRequired

Workspace API key

secretstringRequired

Workspace API secret

Responses
200

OK – JWT tokens issued

application/json
accessTokenstringRequired

JWT access token (Bearer)

refreshTokenstringRequired

Refresh token for obtaining a new access token

tokenTypestringRequired

Token type — always Bearer

Example: Bearer
expiryDurationinteger · int64Required

Token validity duration in seconds

post/auth/authorize

POST Refresh access token

Deprecated

Refresh JWT token (deprecated)

post

Deprecated — This endpoint refreshes a JWT Bearer token using a refresh token. JWT-based authentication is deprecated in favor of organization tokens (tot_). Use organization tokens obtained from the dashboard instead of this endpoint.

Body
refreshTokenstringRequired

Refresh token obtained from a previous authorization

Responses
200

OK – new JWT tokens issued

application/json
accessTokenstringRequired

JWT access token (Bearer)

refreshTokenstringRequired

Refresh token for obtaining a new access token

tokenTypestringRequired

Token type — always Bearer

Example: Bearer
expiryDurationinteger · int64Required

Token validity duration in seconds

post/auth/refresh

GET Public key

Obtain public key

get
/auth/webhooks/key/{keyId}

Public key for validating webhook JWS signatures

Path parameters
keyIdstring · uuidRequired

UUID of the key, returned as kid parameter in webhook JWS header

Query parameters
pembooleanOptional

Param indiciating whether public key should be returned in PEM format or simple base64

Default: true
Responses
200

Public key obtained successfully

text/plain
stringOptional
get/auth/webhooks/key/{keyId}

Last updated